---
apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  annotations:
    controller-gen.kubebuilder.io/version: v0.19.0
  name: workloads.kuma.io
spec:
  group: kuma.io
  names:
    categories:
    - kuma
    kind: Workload
    listKind: WorkloadList
    plural: workloads
    shortNames:
    - wl
    singular: workload
  scope: Namespaced
  versions:
  - name: v1alpha1
    schema:
      openAPIV3Schema:
        properties:
          apiVersion:
            description: |-
              APIVersion defines the versioned schema of this representation of an object.
              Servers should convert recognized schemas to the latest internal value, and
              may reject unrecognized values.
              More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources
            type: string
          kind:
            description: |-
              Kind is a string value representing the REST resource this object represents.
              Servers may infer this from the endpoint the client submits requests to.
              Cannot be updated.
              In CamelCase.
              More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds
            type: string
          metadata:
            type: object
          spec:
            description: Spec is the specification of the Kuma Workload resource.
            type: object
          status:
            description: Status is the current status of the Kuma Workload resource.
            properties:
              dataplaneProxies:
                description: DataplaneProxies defines statistics of data plane proxies
                  that are part of this workload
                properties:
                  connected:
                    description: Connected defines number of connected data plane
                      proxies
                    format: int32
                    type: integer
                  healthy:
                    description: Healthy defines number of healthy data plane proxies
                      for this workload
                    format: int32
                    type: integer
                  total:
                    description: Total defines total number of data plane proxies
                      for this workload
                    format: int32
                    type: integer
                required:
                - connected
                - healthy
                - total
                type: object
            type: object
        type: object
    served: true
    storage: true
